<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN"
    "http://www.springframework.org/dtd/spring-beans.dtd">

<beans>   
    
    <!-- JNDI DataSource for J2EE environments 
    <bean id="dataSource" class="org.springframework.jndi.JndiObjectFactoryBean">
        <property name="jndiName"><value>java:comp/env/jdbc/wjoffice</value></property>
    </bean>	
     -->
    <bean id="dataSource" class="org.apache.commons.dbcp.BasicDataSource" destroy-method="close">
        <property name="driverClassName"><value>com.inet.tds.TdsDriver</value></property>
        <property name="url"><value>jdbc:inetdae7:localhost:1433?charset=GB2312&amp;database=xn_demo</value></property>
        <property name="username"><value>xn_demo</value></property>
        <property name="password"><value>xn_demo001002</value></property>
    </bean>
</beans>